Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Synchronizing SAP Keys

search

Please Note:

Synchronizing SAP Keys

Use the post /v1/cckm/sap/synchronization-jobs API to synchronize SAP keys.

Syntax

curl -k '<IP>/api/v1/cckm/sap/synchronization-jobs' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.
groups array of strings ID of the group from which keys will be synchronized. Provide resource ID or groupID of the SAP group.
synchronize_all boolean Whether to synchronize all keys from all groups. Set true to synchronize all keys. synchronize_all and groups are mutually exclusive - specify either.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/synchronization-jobs' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI3ZjRlNmJkNi0wMzgzLTQ4MGMtYWZmZS0wYTQxNDgzZmVlNmUiLCJzdWIiOiJsb2NhbHxlNjM3NTVjOS01YzRhLTQ0NzUtOWI0Zi0wN2JjNzQxYjQ1MGEiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiOWMxMjQyOTQtMmM1Mi00ZmJmLWExNWEtMGZlNzkxZmI4YzNlIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImMwNjJhNmE1LTg1NDQtNDRjMS05ZDMwLTZjZDZkYTdkY2Y3OSIsImlhdCI6MTYzNDU1NjYwMywiZXhwIjoxNjM0NTU2OTAzfQ.lcFZLheFbNnNR3VvQAigSe6u6BL4_NOEAwkNQROn0Bs' --compressed

Example Response

{
    "id":"bf27cde1-e2ed-4244-9d5a-8a4e12ad1837",
    "uri":"kylo:kylo:cckm:synchronize:bf27cde1-e2ed-4244-9d5a-8a4e12ad1837",
    "account":"kylo:kylo:admin:accounts:kylo",
    "application":"ncryptify:gemalto:admin:apps:kylo",
    "devAccount":"ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt":"2020-08-06T09:49:34.605578452Z",
    "updatedAt":"2020-08-06T09:49:34.609059131Z",
    "overall_status":"in progress",
    "cloud":"sap",
    "groups":[
        "3e732d57-5ea1-491f-b238-9f4a39a9566f",
        "c4e5bd34-af39-4027-9058-6f1a4bb3519d",
        "00RT000000060vKLOP"
    ],
    "abort":false
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.